Name:                perl-Image-ExifTool
Version:             12.76
Release:             1
License:             GPL+ or Artistic
Summary:             Utility for reading and writing image meta info
URL:                 http://www.sno.phy.queensu.ca/%7Ephil/exiftool/
Source0:             http://www.sno.phy.queensu.ca/%7Ephil/exiftool/Image-ExifTool-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       coreutils findutils make perl-interpreter perl-generators
BuildRequires:       perl(ExtUtils::MakeMaker) perl(File::Spec) perl(Exporter) perl(FileHandle)
BuildRequires:       perl(integer) perl(strict) perl(vars) perl(Encode) perl(POSIX)
BuildRequires:       perl(Time::Local)
Requires:            perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:            perl(FileHandle)
%description
ExifTool is a Perl module with an included command-line application for
reading and writing meta information in image, audio, and video files.
It reads EXIF, GPS, IPTC, XMP, JFIF, MakerNotes, GeoTIFF, ICC Profile,
Photoshop IRB, FlashPix, AFCP, and ID3 meta information from JPG, JP2,
TIFF, GIF, PNG, MNG, JNG, MIFF, EPS, PS, AI, PDF, PSD, BMP, THM, CRW,
CR2, MRW, NEF, PEF, ORF, DNG, and many other types of images. ExifTool
also extracts information from the maker notes of many digital cameras
by various manufacturers including Canon, Casio, FujiFilm, GE, HP,
JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon, Olympus/Epson,
Panasonic/Leica, Pentax/Asahi, Reconyx, Ricoh, Samsung, Sanyo,
Sigma/Foveon, and Sony.

%prep
%setup -q -n Image-ExifTool-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*
rm -rf %{buildroot}%{perl_vendorlib}/*-linux-thread-multi

%check
make test

%files
%doc README Changes
%doc arg_files
%{_bindir}/exiftool
%{perl_vendorlib}/File/
%{perl_vendorlib}/Image/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Wed Feb 07 2024 woody2918 <wudi1@uniontech.com> - 12.76-1
- Update version to 12.76
- Enhancement of the API
- New features

* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 12.26-1
- package init
